<template>
<div>


		        <form style="margin-left:400px"  id="form" class="form-inline my-2 my-lg-0">
                <input v-model="Search" style="width:55%;" id="control" class="form-control mr-sm-2" type="text" placeholder="Search by nombre">
                <a href="#" class="btn btn-outline-success my-2 my-sm-0" type=""><i class="fa fa-search" aria-hidden="true"></i></a>
            </form>

<table>
				<thead>
					<tr>
						<th>RUT</th>
            <th>Nombre CLIENTE</th>
						<th>TELEFONO</th>
            <th>PRODUCTO</th>
            <th>IMAGEN</th>
            <th>CODIGO</th>
            <th>N° BOLETA</th>
            <th>FECHA</th>
            <th>CANTIDAD</th>
            <th>PRECIO SUBTOTAL</th>
            <th>PRECIO TOTAL</th>
					</tr>
				</thead>
    <tbody v-for="detalle in detalleventas" :key="detalle.id">
          <tr>
            <td v-bind:href="detalle.uri" target="_blank" >{{datelle.rut}}</td>
            <td >{{detalle.Nombre_Cliente}}</td>
            <td >{{detalle.telefono}}</td>
            <td >{{detalle.Producto}}</td>
            <td >{{detalle.imagen}}</td>
            <td >{{detalle.codigo}}</td>
            <td >{{detalle.Numero_Boleta}}</td>
            <td >{{detalle.fecha_venta}}</td>
            <td >{{detalle.Cantidad}}</td>
            <td >{{detalle.precio_productos}}</td>
            <td >{{detalle.Total_Boleta}}</td>
            <td><button type="button" class="btn btn-danger" @click="remove(detalle)">Eliminar</button></td>

          </tr>
        </tbody>
			</table>



</div>
</template>

<script>
    export default {	

    	
		data() {
			return {
				csrf: document.head.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			
				detalleventas:[],	

				detalle:{
					Rut:"",
         nombre_cliente:"",
					telefono:'',
          producto:"",
          imagen:"",
          codigo:"",
          numero_boleta:"",
          fecha_venta:"",
          cantidad:"",
          precio_productos:"",
          total_boleta:""

				},
				edit:false,
			editForm:{
					nnombre:"",
          rut:"",
          direccion:"",
          descripcion:""		
				},
        Search:'',
			}
		},
		mounted(){
			this.fetchdata();
		},
	 computed:{
     searchuser(){
     if(this.Search){
      let resultados = this.users.filter(c => 
        c.nombre.toLowerCase().startsWith(this.Search));
       
      resultados =[
        ...resultados,
        ...this.users.filter(c => c.apellido.toLowerCase().startsWith(this.Search)),
        ...this.users.filter(c => c.ciudad.name.toLowerCase().startsWith(this.Search)),
        ...this.users.filter(c => c.rut.includes(this.Search)),
      ];
      return [...new Set(resultados)];
     }else{
        return this.users;
      }
    }
  },
		methods:{
			fetchdata(){
				const self = this;
				axios.get('api/detalleventas').then(function(response){
					self.detalleventas = response.data.map(function (us) {
            return us;

          });
					
				})
			},

     remove(user) {
                if (confirm("Esta seguro que desea eliminarlo?")) {
                    axios.delete('api/deletecli/' + user.id)
                        this.fetchdata();
                }else{
                      
                }
            },

	}

}

</script>

<style scoped>

body {
  margin: 0;
  background: linear-gradient(45deg, #49a09d, #5f2c82);
  font-family: sans-serif;
  font-weight: 100;
}

.container {
  position: absolute;
  top: 5%;
  left: 5%;
  transform: translate(-50%, -50%);
}

table {
  width:900px;
  margin:0 auto;
  margin-top:2%;
  border-collapse: collapse;
  overflow: hidden;
  box-shadow: 0 0 20px rgba(0,0,0,0.1);
   border-top:2px solid #ccc;
  border-left: 2px solid #ccc;
  margin-bottom:1em;
}
.my-custom-scrollbar {
  height: 500px;
overflow-x:hidden;
overflow: auto;
}
.table-wrapper-scroll-y {
display: block;
}
th,
td {
  padding:20px;
  background-color: rgba(255,255,255,0.2);
  color: #000000;
  padding: 0.5em 1em;
    border-bottom: 1px solid #ccc;
    border-right: 1px solid #ccc;

}

th {
    padding: 0.5em 1em;
    border-bottom: 1px solid #ccc;
    border-right: 1px solid #ccc;
    white-space: pre;
   background-color: rgba(255,255,255,0.2);
  color: #000000;
}

thead {
  th {
    background-color: rgba(255,255,255,0.2);
  color: #000000;
  }
}

tbody {
  tr {
    &:hover {
      background-color: rgba(255,255,255,0.3);
    }
  }
  td {
    position: relative;
    &:hover {
      &:before {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        top: -9999px;
        bottom: -9999px;
        background-color: rgba(255,255,255,0.2);
        z-index: -1;
      }
    }
  }
}


</style>